<?php

/*************************************************************************
 * Premium Page  - XenConcept (c) 2017
 * All Rights Reserved.
 **************************************************************************
 * This file is subject to the terms and conditions defined in the Licence
 * Agreement available at Try it like it buy it :)
 *************************************************************************/

namespace XenConcept\PremiumPage\Navigation;

class Tab
{
    public static function premium(array $navData, $context, $selected)
    {
        $options = \XF::options();
        $visitor = \XF::visitor(); /** @var \XenConcept\PremiumPage\XF\Entity\User $visitor*/

        if ($visitor->canViewPremiumPage())
        {
            if (!$options->xc_premium_page_hide_premium_tab)
            {
                $params = [
                    'title' => \XF::phrase('nav.xc_premium_page'),
                    'href'  => \XF::app()->router()->buildLink('premium')
                ];

                return $params;
            }
        }
    }
}