<?php

/*************************************************************************
 * Premium Page  - XenConcept (c) 2017
 * All Rights Reserved.
 **************************************************************************
 * This file is subject to the terms and conditions defined in the Licence
 * Agreement available at Try it like it buy it :)
 *************************************************************************/

namespace XenConcept\PremiumPage\Repository;

use XF\Mvc\Entity\Repository;

class Column extends Repository
{

    public function findColumnForList()
    {
        $finder = $this->finder('XenConcept\PremiumPage:Column');

        return $finder;
    }

    public function getUpgradeTitlePairs()
    {
        $userUpgradeRepo = $this->repository('XF:UserUpgrade');

        $userUpgrades = $userUpgradeRepo->findUserUpgradesForList()->fetch()->pluck(function($e, $k)
        {
            return [$k, $e->title];
        });

        $return = [0 => \XF::phrase('xc_premium_page_no_user_upgrade')];

        foreach ($userUpgrades AS $key => $userUpgrade)
        {
            $return[$key] = $userUpgrade;
        }

        return $return;
    }

}